#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int64_t n, x, a;
    int64_t levo = 1000000000;
    int64_t desno = -1000000000;
    int64_t vreme = 0;
    cin >> n >> x;
    for (int64_t i = 0; i < n; i++)
    {
        cin >> a;
        if (a > desno)
        {
            desno = a;
        }
        if (a < levo)
        {
            levo = a;
        }
    }
    if (abs(desno - x) < abs(levo - x))
    {
        vreme = abs(desno - x) + abs(desno - levo);
    }
    else
    {
        vreme = abs(levo - x) + abs(levo - desno);
    }
    cout << vreme;
}